Summary:	A tool for generating C-based recognizers from regular expressions
Name:		re2c
Version:	0.13.5
Release:	%mkrel 3
License:	Public Domain
Group:		Development/Other
URL:		http://re2c.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/re2c/re2c-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
re2c is a great tool for writing fast and flexible lexers. It has served many
people well for many years and it deserves to be maintained more actively. re2c
is on the order of 2-3 times faster than a flex based scanner, and its input
model is much more flexible.

%prep

%setup -q

for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -rf $i; fi >&/dev/null
done

# fix attribs
chmod 644 doc/* examples/*.c examples/*.re examples/rexx/* CHANGELOG README

find lessons -type f -exec chmod 644 {} \;
find test -type f -exec chmod 644 {} \;

# don't ship windows code
rm -rf lessons/001_upn_calculator/windows

%build

%configure2_5x

%make

#regenerate file scanner.cc
rm -f scanner.cc
./re2c scanner.re > scanner.cc
rm -f re2c scanner.o
%make

%check
make check

%install
rm -rf %{buildroot}

%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc doc/* examples CHANGELOG README lessons
%attr(0755,root,root) %{_bindir}/re2c
%{_mandir}/man1/re2c.1*


%changelog
* Mon Dec 22 2008 Oden Eriksson <oeriksson@mandriva.com> 0.13.5-3mdv2009.1
+ Revision: 317126
- rebuild

* Thu Aug 07 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.13.5-2mdv2009.0
+ Revision: 265631
- rebuild early 2009.0 package (before pixel changes)

* Mon May 26 2008 Oden Eriksson <oeriksson@mandriva.com> 0.13.5-1mdv2009.0
+ Revision: 211334
- 0.13.5

* Sun Feb 17 2008 Oden Eriksson <oeriksson@mandriva.com> 0.13.2-1mdv2008.1
+ Revision: 169534
- 0.13.2

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Dec 07 2007 Oden Eriksson <oeriksson@mandriva.com> 0.13.1-1mdv2008.1
+ Revision: 116324
- 0.13.1

* Mon Jun 25 2007 Oden Eriksson <oeriksson@mandriva.com> 0.13.0-1mdv2008.0
+ Revision: 43931
- maybe Development/Other will do...
- 0.13.0

* Sat May 26 2007 Oden Eriksson <oeriksson@mandriva.com> 0.12.1-1mdv2008.0
+ Revision: 31474
- 0.12.1

* Wed May 02 2007 Oden Eriksson <oeriksson@mandriva.com> 0.12.0-1mdv2008.0
+ Revision: 20437
- 0.12.0

* Wed Apr 18 2007 Oden Eriksson <oeriksson@mandriva.com> 0.11.3-1mdv2008.0
+ Revision: 14560
- 0.11.3


* Thu Mar 01 2007 Oden Eriksson <oeriksson@mandriva.com> 0.11.2-1mdv2007.0
+ Revision: 130337
- 0.11.2

* Wed Feb 21 2007 Oden Eriksson <oeriksson@mandriva.com> 0.11.1-1mdv2007.1
+ Revision: 123180
- . 0.11.1

* Tue Jan 02 2007 Oden Eriksson <oeriksson@mandriva.com> 0.11.0-1mdv2007.1
+ Revision: 103094
- 0.11.0

* Wed Oct 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.10.6-2mdv2007.1
+ Revision: 63291
- rebuild
- Import re2c

* Mon Aug 07 2006 Oden Eriksson <oeriksson@mandriva.com> 0.10.6-1mdv2007.0
- 0.10.6 (Minor bugfixes)

* Mon Jun 12 2006 Oden Eriksson <oeriksson@mandriva.com> 0.10.5-1mdv2007.0
- 0.10.5 (Minor bugfixes)

* Fri Jun 02 2006 Oden Eriksson <oeriksson@mandriva.com> 0.10.4-1mdv2007.0
- 0.10.4

* Mon May 15 2006 Oden Eriksson <oeriksson@mandriva.com> 0.10.3-1mdk
- 0.10.3

* Wed May 03 2006 Oden Eriksson <oeriksson@mandriva.com> 0.10.2-1mdk
- 0.10.2 (Minor feature enhancements)

* Sun Mar 12 2006 Oden Eriksson <oeriksson@mandriva.com> 0.10.1-1mdk
0.10.1

* Sun Feb 19 2006 Oden Eriksson <oeriksson@mandriva.com> 0.10.0-1mdk
- 0.10.0 (Major feature enhancements)

* Tue Jan 03 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.12-1mdk
- 0.9.12

* Wed Sep 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9.10-1mdk
- initial Mandriva package

